Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.jass.hls.ont
Class ONTServiceManager

    java.lang.Object
      org.objectweb.jass.hls.ont.ONTServiceManager

All Implemented Interfaces:
  javax.activity.coordination.ServiceManager

public class ONTServiceManager
extends java.lang.Object
implements javax.activity.coordination.ServiceManager

Implements the ONT service manager. An object of this class will be registered on the Activity Service instance by the ONT service implementation.

Author:
  fran Date: Feb 12, 2004 org.objectweb.jass.hls.ontONTServiceManager.java

Field Summary
`static java.lang.String` | `SERVICE_NAME`

Constructor Summary
`ONTServiceManager()` Constructor for the ONT service manager implementation.

Method Summary
`void` | `activityImported(javax.activity.ServiceInformation serviceInfo)` Not yet implemented.
`int` | `getActivityType()` Not necessary for current ONT service implementation.
`java.lang.String` | `getCompletionSignalSetName()` Returns the name of the ONT completion signal set.
`javax.activity.propertygroup.PropertyGroupManager` | `getPropertyGroupManager(java.lang.String propertyGroupName)` Not necessary for ONT service.
`java.lang.String[]` | `getPropertyGroupNames()` Not necessary for ONT service.
`javax.activity.ServiceInformation` | `getServiceInformation()` Retruns the ONT service information (it only has the service name).
`javax.activity.coordination.SignalSet` | `getSignalSet(java.lang.String signalSetName)` Returns an instance of the unique signal set for the ONT service.
`javax.activity.coordination.SubordinateSignalSet` | `getSubordinateSignalSet(java.lang.String signalSetName)` Not necessary for ONT service.
`javax.activity.coordination.RecoverableAction[]` | `recoverActions(javax.activity.GlobalId globalId, java.lang.String signalSetName)` Not yet implemented.
`javax.activity.coordination.SignalSet[]` | `recoverSignalSets(javax.activity.GlobalId globalId)` Not yet implemented.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_NAME

    public static java.lang.String SERVICE_NAME

Constructor Detail

### ONTServiceManager

    public ONTServiceManager()

  Constructor for the ONT service manager implementation. Sets the service information (only the service name).

Method Detail

### getServiceInformation

    public javax.activity.ServiceInformation getServiceInformation()

  Retruns the ONT service information (it only has the service name).

  Specified by:
    `getServiceInformation` in interface `javax.activity.coordination.ServiceManager`

### getSignalSet

    public javax.activity.coordination.SignalSet getSignalSet(java.lang.String signalSetName)
                                                       throws javax.activity.SignalSetUnknownException,
                                                              javax.activity.NoImplementException

  Returns an instance of the unique signal set for the ONT service. If the required signal set is not valid, it throws the SignalSetUnknownException.

  Specified by:
    `getSignalSet` in interface `javax.activity.coordination.ServiceManager`
  Throws:
    `javax.activity.SignalSetUnknownException`
    `javax.activity.NoImplementException`

### getSubordinateSignalSet

    public javax.activity.coordination.SubordinateSignalSet getSubordinateSignalSet(java.lang.String signalSetName)
                                                                             throws javax.activity.SignalSetUnknownException,
                                                                                    javax.activity.NoImplementException

  Not necessary for ONT service.

  Specified by:
    `getSubordinateSignalSet` in interface `javax.activity.coordination.ServiceManager`
  Throws:
    `javax.activity.SignalSetUnknownException`
    `javax.activity.NoImplementException`

### getPropertyGroupManager

    public javax.activity.propertygroup.PropertyGroupManager getPropertyGroupManager(java.lang.String propertyGroupName)
                                                                              throws javax.activity.PropertyGroupUnknownException

  Not necessary for ONT service.

  Specified by:
    `getPropertyGroupManager` in interface `javax.activity.coordination.ServiceManager`
  Throws:
    `javax.activity.PropertyGroupUnknownException`

### getPropertyGroupNames

    public java.lang.String[] getPropertyGroupNames()

  Not necessary for ONT service.

  Specified by:
    `getPropertyGroupNames` in interface `javax.activity.coordination.ServiceManager`

### getCompletionSignalSetName

    public java.lang.String getCompletionSignalSetName()

  Returns the name of the ONT completion signal set.

  Specified by:
    `getCompletionSignalSetName` in interface `javax.activity.coordination.ServiceManager`

### getActivityType

    public int getActivityType()

  Not necessary for current ONT service implementation.

  Specified by:
    `getActivityType` in interface `javax.activity.coordination.ServiceManager`

### activityImported

    public void activityImported(javax.activity.ServiceInformation serviceInfo)

  Not yet implemented.

  Specified by:
    `activityImported` in interface `javax.activity.coordination.ServiceManager`

### recoverSignalSets

    public javax.activity.coordination.SignalSet[] recoverSignalSets(javax.activity.GlobalId globalId)
                                                              throws javax.activity.ActivityCompletedException,
                                                                     javax.activity.SystemException

  Not yet implemented.

  Specified by:
    `recoverSignalSets` in interface `javax.activity.coordination.ServiceManager`
  Throws:
    `javax.activity.ActivityCompletedException`
    `javax.activity.SystemException`

### recoverActions

    public javax.activity.coordination.RecoverableAction[] recoverActions(javax.activity.GlobalId globalId,
                                                                          java.lang.String signalSetName)
                                                                   throws javax.activity.SignalSetUnknownException,
                                                                          javax.activity.ActivityCompletedException,
                                                                          javax.activity.SystemException

  Not yet implemented.

  Specified by:
    `recoverActions` in interface `javax.activity.coordination.ServiceManager`
  Throws:
    `javax.activity.SignalSetUnknownException`
    `javax.activity.ActivityCompletedException`
    `javax.activity.SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD